[RTFACT-14509] Upgrade from Artifactory 5.3.0 to higher version is failing in Linux distributions using systemd Created: 03/Jul/17  Updated: 04/Jul/17  Resolved: 04/Jul/17

Status: Resolved
Project: Artifactory Binary Repository
Component/s: None
Affects Version/s: None
Fix Version/s: 5.4.3

Type: Bug Priority: High
Reporter: Yehuda Hadad Assignee: Anastasia Grinman
Resolution: Fixed Votes: 0
Labels: None
Remaining Estimate: Not Specified
Time Spent: Not Specified
Original Estimate: Not Specified

Support Tickets:

ELAXY Financial Software & Solutions GmbH & Co. KG (ELAXY)

Internal Priority: Normal

 Description   

Upgrade from Artifactory 5.3.0 to higher version failing in Debian 8 OS (and on other Linux distributions using systemd), with the following error:
"The currently installed Artifactory version does not have the same layout as this DEB!"

Reproduction steps:
Upgrade Artifactory using the below dpkg command to version 5.3.0 or above while the OS is using systemd:
dpkg -i <package name.deb>


Generated at Mon Dec 16 11:55:07 UTC 2019 using JIRA 7.6.16#76018-sha1:9ed376192612a49536ac834c64177a0fed6290f5.